﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tektronix TDS 520D,540D (1 yr) VER IEEE /5800
DATE:                  2017-02-22 09:34:15
AUTHOR:                Fluke
REVISION:              $Revision: 18363 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       255
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 500D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#        BNC T(f-m-f) adapter
#        SMA T(f-m-f) adapter
#        Cable, 50 Ohm, SMA(m)-(m), 20", two sets
#        3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#        2 sets SMA Short
#        BNC 90 ° female to male adapter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5800         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

# Verify MET/CAL version compatibility.
  1.006  MATH         @ReqMetCalVersion = "7.20x"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.009  DISP         or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  HEAD         UUT IDENTIFICATION
  1.018  TARGET
  1.019  CALL         Sub TDS500/600/700 Setup IEEE
  1.020  IEEE2        *RST;DESE 61
  1.021  WAIT         -t 4 System Initializing ...

  1.022  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.023  MATH         @UUT_AssetNum     = UUT()

  1.024  IF           NOT(EMPTY(@UUT_AssetNum))
  1.025  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.026  ENDIF

  1.027  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.029  JMPL         END                          @Abort

  1.030  HEAD         EQUIPMENT REQUIREMENTS
  1.031  OPBR         -z Do you want to review the list of additional
  1.031  OPBR         equipment and/or accessories required?

  1.032  IF           MEM1
  1.033  DISP         The following additional equipment and/or accessories
  1.033  DISP         are required:
  1.033  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.033  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.033  DISP         - Cable, coaxial, BNC(m)-(m)
  1.033  DISP         - BNC T(f-m-f) adapter
  1.033  DISP         - SMA(f) to SMA(f), SMA(m) to BNC(f) adapter, 3 sets
  1.033  DISP         - SMA T(f-m-f) adapter
  1.033  DISP         - Cable, 50 Ohm, 20", SMA(m)-(m), 2 sets
  1.033  DISP         - SMA Short, 2 sets
  1.033  DISP         - BNC 90 ° female to male adapter
  1.033  DISP         - Dual Input Coupler (BNC)
  1.033  DISP         - 50 Ohm Feedthrough (BNC)
  1.034  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.035  CALL         Sub TDS500D Specifications
  1.036  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.037  JMPL         END                          @Abort
  1.038  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.039  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.040  MATH         @SourceChanNum = 1

# Specify channel to test.
  1.041  MATH         @Chan = 1
  1.042  CALL         Sub TDS500D (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub TDS500D (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 3
  1.046  CALL         Sub TDS500D (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub TDS500D (1 yr) DC Offset IEEE

  1.049  MATH         @Chan = 1
  1.050  CALL         Sub TDS500D (1 yr) DCV Meas Acc IEEE /5800
  1.051  JMPL         BANDWIDTH_CH1

  1.052  LABEL        DCV_ACC_CH2
  1.053  MATH         @Chan = 2
  1.054  CALL         Sub TDS500D (1 yr) DCV Meas Acc IEEE /5800
  1.055  JMPL         BANDWIDTH_CH2

  1.056  LABEL        DCV_ACC_CH3
  1.057  MATH         @Chan = 3
  1.058  CALL         Sub TDS500D (1 yr) DCV Meas Acc IEEE /5800
  1.059  JMPL         BANDWIDTH_CH3

  1.060  LABEL        DCV_ACC_CH4
  1.061  MATH         @Chan = 4
  1.062  CALL         Sub TDS500D (1 yr) DCV Meas Acc IEEE /5800
  1.063  JMPL         BANDWIDTH_CH4

  1.064  LABEL        BANDWIDTH_CH1
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub TDS500D (1 yr) Bandwidth IEEE /5800
  1.067  JMPL         TIMEBASE_TRIGGER

  1.068  LABEL        BANDWIDTH_CH2
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub TDS500D (1 yr) Bandwidth IEEE /5800
  1.071  JMPL         TRIG_SENS_CH2

  1.072  LABEL        BANDWIDTH_CH3
  1.073  MATH         @Chan = 3
  1.074  CALL         Sub TDS500D (1 yr) Bandwidth IEEE /5800
  1.075  JMPL         TRIG_SENS_CH3

  1.076  LABEL        BANDWIDTH_CH4
  1.077  MATH         @Chan = 4
  1.078  CALL         Sub TDS500D (1 yr) Bandwidth IEEE /5800
  1.079  JMPL         TRIG_SENS_CH4

  1.080  LABEL        DELAY_MATCH
  1.081  MATH         @Chan = 1
  1.082  CALL         Sub TDS500D (1 yr) Delay Match IEEE /5800
  1.083  JMPL         OUTPUT_SIGNAL

  1.084  LABEL        TIMEBASE_TRIGGER
  1.085  MATH         @Chan = 1
  1.086  CALL         Sub TDS500D (1 yr) Time Base IEEE /5800
  1.087  JMPL         TRIG_TIME_ACC

  1.088  LABEL        DELTA_TIME
  1.089  MATH         @Chan = 1
  1.090  CALL         Sub TDS500D (1 yr) Delta Time IEEE /5800
  1.091  MATH         @Chan = 2
  1.092  CALL         Sub TDS500D (1 yr) Delta Time IEEE /5800
  1.093  MATH         @Chan = 3
  1.094  CALL         Sub TDS500D (1 yr) Delta Time IEEE /5800
  1.095  MATH         @Chan = 4
  1.096  CALL         Sub TDS500D (1 yr) Delta Time IEEE /5800
  1.097  JMPL         END

  1.098  LABEL        TRIG_TIME_ACC
  1.099  CALL         Sub TDS500D (1 yr) Trig Time Acc IEEE /5800
  1.100  CALL         Sub TDS500D (1 yr) Sens IEEE /5800
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.101  OPBR         -z Each channel trig sensitivity test will take about
  1.101  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.101  OPBR         channels to save time, unless desired.
  1.101  OPBR
  1.101  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.101  OPBR         3, and 4?
  1.102  MATH         @TestCh234Sens = MEM1

  1.103  MATH         @Chan = 1
  1.104  CALL         Sub TDS500D (1 yr) Aux Trig In Sens IEEE /5800
  1.105  JMPL         DCV_ACC_CH2

  1.106  LABEL        TRIG_SENS_CH2

  1.107  IF           @TestCh234Sens
  1.108  MATH         @Chan = 2
  1.109  CALL         Sub TDS500D (1 yr) Sens IEEE /5800
  1.110  ENDIF

  1.111  JMPL         DCV_ACC_CH3

  1.112  LABEL        TRIG_SENS_CH3

  1.113  IF           @TestCh234Sens
  1.114  MATH         @Chan = 3
  1.115  CALL         Sub TDS500D (1 yr) Sens IEEE /5800
  1.116  ENDIF

  1.117  JMPL         DCV_ACC_CH4

  1.118  LABEL        TRIG_SENS_CH4

  1.119  IF           @TestCh234Sens
  1.120  MATH         @Chan = 4
  1.121  CALL         Sub TDS500D (1 yr) Sens IEEE /5800
  1.122  ENDIF

  1.123  JMPL         DELAY_MATCH

  1.124  LABEL        OUTPUT_SIGNAL
  1.125  CALL         Sub TDS500D (1 yr) Output Signal IEEE /5800
  1.126  CALL         Sub TDS500D (1 yr) Probe Comp IEEE /5800
  1.127  JMPL         DELTA_TIME

  1.128  LABEL        END
  1.129  IEEE2        *RST;DESE 61

  1.130  IF           @Abort
  1.131  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.132  ENDIF

  1.133  END
